Skip to content
CatalogChannels

Set listing overrides

Replaces the listing's field overrides and, with republish, queues its republication.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/channels/listings/7204558912004329619/overrides" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "overrides": [      {        "target": "name",        "value": "Mi tienda",        "attributeId": "7204558912004325220",        "variantId": "7204558912004323197",        "valueId": "7204558912004324721"      }    ],    "republish": true  }'
{  "overrides": [    {      "target": "name",      "value": "Mi tienda",      "attributeId": "7204558912004325220",      "variantId": "7204558912004323197",      "valueId": "7204558912004324721"    }  ],  "queued": 1}